Report a Card as lost
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/cards/{cardId}/lost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/cards/{cardId}/lost \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/cards/{cardId}/lost"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards/{cardId}/lost"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/cards/{cardId}/lost")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards/{cardId}/lost")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "Card marked as lost successfully"
}{
"message": "<string>"
}{
"error": "Card is already marked as lost"
}{
"error": "Internal server error"
}Card Management
Report a Card as lost
POST
/
api
/
v1
/
cards
/
{cardId}
/
lost
Report a Card as lost
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/cards/{cardId}/lost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.gnosispay.com/api/v1/cards/{cardId}/lost \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/cards/{cardId}/lost"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards/{cardId}/lost"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gnosispay.com/api/v1/cards/{cardId}/lost")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards/{cardId}/lost")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "Card marked as lost successfully"
}{
"message": "<string>"
}{
"error": "Card is already marked as lost"
}{
"error": "Internal server error"
}⌘I